restinio::path2regex::impl::token_t< Route_Param_Appender > Class Template Referenceabstract

Base class for token variants. More...

`#include <path2regex.hpp>`

Inheritance diagram for restinio::path2regex::impl::token_t< Route_Param_Appender >:

## Public Member Functions

| token_t ()=default
| token_t (const token_t &)=delete
| token_t (token_t &&)=delete
virtual | ~token_t ()=default
virtual token_type_t | append_self_to (std::string &route, param_appender_sequence_t< Route_Param_Appender > &param_appender_sequence, names_buffer_appender_t &names_buffer_appender) const =0
virtual bool | is_end_delimited (const std::string &) const noexcept

## Detailed Description

template<typename Route_Param_Appender>
class restinio::path2regex::impl::token_t< Route_Param_Appender >

Base class for token variants.

Definition at line 371 of file path2regex.hpp.

## Constructor & Destructor Documentation

## token_t() [1/3]

template<typename Route_Param_Appender >

restinio::path2regex::impl::token_t< Route_Param_Appender >::token_t | ( |  | ) |

default

## token_t() [2/3]

template<typename Route_Param_Appender >

restinio::path2regex::impl::token_t< Route_Param_Appender >::token_t | ( | const token_t< Route_Param_Appender > & |  | ) |

delete

## token_t() [3/3]

template<typename Route_Param_Appender >

restinio::path2regex::impl::token_t< Route_Param_Appender >::token_t | ( | token_t< Route_Param_Appender > && |  | ) |

delete

## ~token_t()

template<typename Route_Param_Appender >

virtual restinio::path2regex::impl::token_t< Route_Param_Appender >::~token_t | ( |  | ) |

virtualdefault

## Member Function Documentation

## append_self_to()

template<typename Route_Param_Appender >

virtual token_type_t restinio::path2regex::impl::token_t< Route_Param_Appender >::append_self_to | ( | std::string & | route,
|  | param_appender_sequence_t< Route_Param_Appender > & | param_appender_sequence,
|  | names_buffer_appender_t & | names_buffer_appender
| ) |  | const

pure virtual

Implemented in restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >, and restinio::path2regex::impl::parameter_token_t< Route_Param_Appender, Name >.

## is_end_delimited()

template<typename Route_Param_Appender >

virtual bool restinio::path2regex::impl::token_t< Route_Param_Appender >::is_end_delimited | ( | const std::string & |  | ) | const

inlinevirtualnoexcept

Reimplemented in restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >.

Definition at line 386 of file path2regex.hpp.

The documentation for this class was generated from the following file:

- restinio/path2regex/path2regex.hpp